Subject: [bug#45530] [PATCH] gnu: java-xstream: Update to 1.4.15.

From: Björn Höfling <[email-masked]>
Date: Tue, 5 Jan 2021 21:06:11 +0100

On Fri, 1 Jan 2021 00:36:35 +0100
Julien Lepiller <[email-masked]> wrote:

> Le Thu, 31 Dec 2020 13:52:51 -0500,
> Leo Famulari <[email-masked]> a écrit :
> 
> > Pinging the Maven expert!

> > > BUILD FAILED
> > > /tmp/guix-build-maven-wagon-http-3.3.4.drv-0/wagon-3.3.4/build.xml:1:
> > > Test org.apache.maven.wagon.providers.http.HttpWagonErrorTest
> > > failed
> > > 

[..]

> Weird, I'm able to build maven from master, and after that
> maven-wagon-http is indeed not in the path from xstream to maven.
> 
> Since it does not create any new failure (I was able to build maven
> with this patch), I pushed it as
> fdf7095e856c3c13a54baee5d942d14e96f7fb4d.

Recently I noticed that maven-wagon-http has indeterministic test
failures. I opened a report under 45677.

Björn